Loading...
Searching...
No Matches
itk::BSplineDerivativeKernelFunction2< VSplineOrder > Class Template Reference

`#include <itkBSplineDerivativeKernelFunction2.h>`

## Detailed Description

template<unsigned int VSplineOrder = 3>
class itk::BSplineDerivativeKernelFunction2< VSplineOrder >

Derivative of a B-spline kernel used for density estimation and nonparametric regression.

This class encapsulates the derivative of a B-spline kernel for density estimation or nonparametric regression. See documentation for KernelFunction for more details.

This class is templated over the spline order.

Warning
  Evaluate is only implemented for spline order 1 to 4

See also
  KernelFunction

Definition at line 58 of file itkBSplineDerivativeKernelFunction2.h.

Inheritance diagram for itk::BSplineDerivativeKernelFunction2< VSplineOrder >:
[legend]

## Data Structures

struct | Dispatch

## Public Types

using | Pointer = SmartPointer<Self>
using | Self = BSplineDerivativeKernelFunction2
using | Superclass = KernelFunctionBase2<double>
Public Types inherited from itk::KernelFunctionBase2< double >
using | ConstPointer
using | Pointer
using | RealType
using | Self
using | Superclass

## Public Member Functions

double | Evaluate (const double &u) const override
void | Evaluate (const double &u, double *weights) const override
virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (BSplineDerivativeKernelFunction2)
| itkStaticConstMacro (SplineOrder, unsigned int, VSplineOrder)

## Static Public Member Functions

static double | FastEvaluate (const double u)
static void | FastEvaluate (const double u, double *const weights)
static Pointer | New ()

## Protected Member Functions

| BSplineDerivativeKernelFunction2 ()=default
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~BSplineDerivativeKernelFunction2 () override=default
Protected Member Functions inherited from itk::KernelFunctionBase2< double >
| KernelFunctionBase2 ()=default
| ~KernelFunctionBase2 () override=default

## Static Private Member Functions

static double | Evaluate (const Dispatch< 1 > &, const double u)
static void | Evaluate (const Dispatch< 1 > &, const double u, double *weights)
static double | Evaluate (const Dispatch< 2 > &, const double u)
static void | Evaluate (const Dispatch< 2 > &, const double u, double *weights)
static double | Evaluate (const Dispatch< 3 > &, const double u)
static void | Evaluate (const Dispatch< 3 > &, const double u, double *weights)

## Member Typedef Documentation

## Pointer

template<unsigned int VSplineOrder = 3>

using itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Pointer = SmartPointer<Self>

Definition at line 66 of file itkBSplineDerivativeKernelFunction2.h.

## Self

template<unsigned int VSplineOrder = 3>

using itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Self = BSplineDerivativeKernelFunction2

Standard class typedefs.

Definition at line 64 of file itkBSplineDerivativeKernelFunction2.h.

## Superclass

template<unsigned int VSplineOrder = 3>

using itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Superclass = KernelFunctionBase2<double>

Definition at line 65 of file itkBSplineDerivativeKernelFunction2.h.

## Constructor & Destructor Documentation

## BSplineDerivativeKernelFunction2()

template<unsigned int VSplineOrder = 3>

itk::BSplineDerivativeKernelFunction2< VSplineOrder >::BSplineDerivativeKernelFunction2 | ( |  | ) |

protected default

## ~BSplineDerivativeKernelFunction2()

template<unsigned int VSplineOrder = 3>

itk::BSplineDerivativeKernelFunction2< VSplineOrder >::~BSplineDerivativeKernelFunction2 | ( |  | ) |

override protected default

## Member Function Documentation

## Evaluate() [1/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 1 > & | ,
|  | const double | u )

inline static private

Zeroth order spline. First order spline

Definition at line 134 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [2/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 1 > & | ,
|  | const double | u,
|  | double * | weights )

inline static private

Definition at line 154 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [3/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 2 > & | ,
|  | const double | u )

inline static private

Second order spline.

Definition at line 179 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [4/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 2 > & | ,
|  | const double | u,
|  | double * | weights )

inline static private

Definition at line 199 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [5/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 3 > & | ,
|  | const double | u )

inline static private

Third order spline.

Definition at line 210 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [6/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const Dispatch< 3 > & | ,
|  | const double | u,
|  | double * | weights )

inline static private

Definition at line 249 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [7/8]

template<unsigned int VSplineOrder = 3>

double itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const double & | u | ) | const

inline override virtual

Evaluate the function.

Implements itk::KernelFunctionBase2< double >.

Definition at line 97 of file itkBSplineDerivativeKernelFunction2.h.

## Evaluate() [8/8]

template<unsigned int VSplineOrder = 3>

void itk::BSplineDerivativeKernelFunction2< VSplineOrder >::Evaluate | ( | const double & | u,
|  | double * | weights ) const

inline override virtual

Evaluate the function.

Implements itk::KernelFunctionBase2< double >.

Definition at line 105 of file itkBSplineDerivativeKernelFunction2.h.

## FastEvaluate() [1/2]

template<unsigned int VSplineOrder = 3>

double itk::BSplineDerivativeKernelFunction2< VSplineOrder >::FastEvaluate | ( | const double | u | ) |

inline static

Evaluate the function. Faster than the corresponding public Evaluate member function, because it is static (whereas this Evaluate member function is virtual).

Definition at line 80 of file itkBSplineDerivativeKernelFunction2.h.

## FastEvaluate() [2/2]

template<unsigned int VSplineOrder = 3>

void itk::BSplineDerivativeKernelFunction2< VSplineOrder >::FastEvaluate | ( | const double | u,
|  | double *const | weights )

inline static

Evaluate the function. Faster than the corresponding public Evaluate member function, because it is static (whereas this Evaluate member function is virtual).

Definition at line 89 of file itkBSplineDerivativeKernelFunction2.h.

## GetClassName()

template<unsigned int VSplineOrder = 3>

virtual const char * itk::BSplineDerivativeKernelFunction2< VSplineOrder >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::KernelFunctionBase2< double >.

## ITK_DISALLOW_COPY_AND_MOVE()

template<unsigned int VSplineOrder = 3>

itk::BSplineDerivativeKernelFunction2< VSplineOrder >::ITK_DISALLOW_COPY_AND_MOVE | ( | BSplineDerivativeKernelFunction2< VSplineOrder > |  | ) |

## itkStaticConstMacro()

template<unsigned int VSplineOrder = 3>

itk::BSplineDerivativeKernelFunction2< VSplineOrder >::itkStaticConstMacro | ( | SplineOrder | ,
|  | unsigned int | ,
|  | VSplineOrder | )

Enum of for spline order.

## New()

template<unsigned int VSplineOrder = 3>

Pointer itk::BSplineDerivativeKernelFunction2< VSplineOrder >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<unsigned int VSplineOrder = 3>

void itk::BSplineDerivativeKernelFunction2< VSplineOrder >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

inline override protected

Definition at line 116 of file itkBSplineDerivativeKernelFunction2.h.

Generated on 1768596610 for elastix by 1.15.0 |